Manage orders - Get customer transfers

Gets all transfer entities for a given customer.

GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/transfers

URI Parameters

Name In Required Type Description
customer_id
path True

string

The customer identifier.

version
path True

string

The API version number.

Request Header

Name Required Type Description
Authorization True

string

Authorization Bearer token

ms-correlationid

string

Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request

ms-cv

string

Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request

ms-requestid

string

Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request

Responses

Name Type Description
200 OK

TransferEntity

The request was successful. The response body contains the transfer information.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

400 Bad Request

There was a missing or an invalid input. The response body will provide the error details.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

401 Unauthorized

The request was not authenticated. The client needs to authenticate with the partner API service first.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

403 Forbidden

The request was authenticated but was refused since the caller does not have the rights to invoke it.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

404 Not Found

The resource is not found or not available with the given input parameters.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

500 Internal Server Error

The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

Name Description
LastKnownBillingDetails

Represents a last known billing details resource.

LastKnownBillingPeriod

Represents a last known billing period resource.

Link

Represents a link resource.

ResourceAttributes

Represents a resource attributes resource.

ResourceLinks

Represents a resource links resource.

StringStringKeyValuePair

Represents a key value pair resource.

TransferEntity

Represents a transfer entity resource.

TransferItemType

Represents the type of item being transferred, sent as an integer. Possible values include: 0 (AzureSubscription), 1 (AzureReservation), 2 (ModernAzureSubscription), 3 (LegacyAzureSubscription), 4 (AzureSavingsPlan), 5 (OnlineServicesNCE), 6 (Software), 7 (SaaS).

TransferLineItem

Represents a transfer line item resource.

TransferLineItemError

Represents a transfer line item error resource.

TransferLineItemPrice

Represents a transfer line item price resource.

LastKnownBillingDetails

Represents a last known billing details resource.

Name Type Description
billingAmount

number (double)

The billing amount for the last known billing details.

billingCycle enum:
  • annual
  • monthly
  • none
  • one_time
  • unknown

The billing frequency. Possible values include: 'unknown', 'monthly', 'annual', 'none', 'one_time'.

billingPeriod

LastKnownBillingPeriod

Additional billing period associated with the last known billing details.

billingType enum:
  • license
  • none
  • usage

The billing type for the last known billing details. Possible values include: 'none', 'usage', 'license'.

currency

string

The three-letter ISO currency code.

LastKnownBillingPeriod

Represents a last known billing period resource.

Name Type Description
endDate

string (date-time)

The end date for this record, in ISO 8601 format. Uses ISO 8601 date-time format.

startDate

string (date-time)

The start date for this record, in ISO 8601 format. Uses ISO 8601 date-time format.

Represents a link resource.

Name Type Description
body

string

The body for the link.

headers

StringStringKeyValuePair[]

The collection of headers associated with this link.

method

string

The method for the link.

uri

string

The URI for the related resource.

ResourceAttributes

Represents a resource attributes resource.

Name Type Description
etag

string

The entity tag used for concurrency control.

objectType

string

The object type for the resource attributes.

Represents a resource links resource.

Name Type Description
next

Link

Additional next associated with the resource links.

previous

Link

Additional previous associated with the resource links.

self

Link

Additional self associated with the resource links.

StringStringKeyValuePair

Represents a key value pair resource.

Name Type Description
key

string

The key for the key value pair.

value

string

The value for the key value pair.

TransferEntity

Represents a transfer entity resource.

Name Type Description
alternateId

string

Alternate identifier for the transfer entity. Value is typically a GUID.

attributes

ResourceAttributes

Additional attributes associated with the transfer entity.

completedTime

string (date-time)

The completed time for the transfer entity. Uses ISO 8601 date-time format.

createdTime

string (date-time)

The date and time when the transfer entity was created, in ISO 8601 format. Uses ISO 8601 date-time format.

customerEmailId

string

The unique identifier of the customer email. Value is typically a GUID.

customerName

string

The customer name for the transfer entity.

customerTenantId

string

The unique identifier of the customer tenant. Value is typically a GUID.

expirationTime

string (date-time)

The expiration time for the transfer entity. Uses ISO 8601 date-time format.

id

string

Unique identifier for the transfer entity. Value is typically a GUID.

ignoreEligibilityCheck

boolean

Whether this transfer entity ignore eligibility check.

lastModifiedTime

string (date-time)

The last modified time for the transfer entity. Uses ISO 8601 date-time format.

lastModifiedUser

string

The user who last modified the transfer entity.

lineItems

TransferLineItem[]

The collection of line items associated with this transfer entity.

links

ResourceLinks

Links to related resources.

participants

StringStringKeyValuePair[]

The participants associated with this item.

partnerOnRecord

string

The partner on record for the transfer entity.

partnertenantid

string

The unique identifier of the transfer entity. Value is typically a GUID.

sourcePartnerEmailId

string

The unique identifier of the source partner email. Value is typically a GUID.

sourcePartnerName

string

The source partner name for the transfer entity.

sourcePartnerTenantId

string

The unique identifier of the source partner tenant. Value is typically a GUID.

status

string

The current status of the transfer entity.

targetPartnerEmailId

string

The unique identifier of the target partner email. Value is typically a GUID.

targetPartnerName

string

The target partner name for the transfer entity.

targetPartnerTenantId

string

The unique identifier of the target partner tenant. Value is typically a GUID.

targetProductTypes

string[]

The collection of target product types associated with this transfer entity.

transferDirection enum:
  • 0 (int32)
  • 1 (int32)
  • 2 (int32)

The transfer direction for the transfer entity. Possible values include: 0, 1, 2.

transferType enum:
  • 0 (int32)
  • 1 (int32)
  • 2 (int32)
  • 3 (int32)
  • 4 (int32)
  • 5 (int32)

The type of transfer, sent as an integer. Possible values include: 0 (Unknown), 1 (EaToCsp), 2 (DirectToIndirect), 3 (ModernAzure), 4 (PartnerToPartner), 5 (NewCommerce).

TransferItemType

Represents the type of item being transferred, sent as an integer. Possible values include: 0 (AzureSubscription), 1 (AzureReservation), 2 (ModernAzureSubscription), 3 (LegacyAzureSubscription), 4 (AzureSavingsPlan), 5 (OnlineServicesNCE), 6 (Software), 7 (SaaS).

Value Description
0
1
2
3
4
5
6
7

TransferLineItem

Represents a transfer line item resource.

Name Type Description
addonItems

TransferLineItem[]

The collection of addon items associated with this transfer line item.

billingCycle enum:
  • annual
  • monthly
  • none
  • one_time
  • unknown

The billing frequency. Possible values include: 'unknown', 'monthly', 'annual', 'none', 'one_time'.

billingDetails

LastKnownBillingDetails

Additional billing details associated with the transfer line item.

currencyCode

string

The three-letter ISO currency code.

errors

TransferLineItemError[]

The collection of errors associated with this transfer line item.

friendlyName

string

A friendly display name for this item.

id

integer (int32)

Unique identifier for the transfer line item.

offerId

string

The unique identifier of the offer. Value is typically a GUID.

orderId

string

The unique identifier of the order. Value is typically a GUID.

partnerIdOnRecord

string

The partner id on record for the transfer line item.

price

TransferLineItemPrice

The price associated with this item.

productType

TransferItemType (int32)

Additional product type associated with the transfer line item.

quantity

integer (int32)

The number of units.

sourceSubscriptionTermEndDate

string (date-time)

The date and time when the term of the source subscription ends, in UTC.

sourceSubscriptionTermStartDate

string (date-time)

The start date of the source subscription term, in ISO 8601 format. Uses ISO 8601 date-time format.

status

string

The current status of the transfer line item.

subscriptionId

string

The unique identifier (GUID) of the subscription. Value is typically a GUID.

transferError

string

The transfer error for the transfer line item.

transferGroupId

string

The unique identifier of the transfer group. Value is typically a GUID.

TransferLineItemError

Represents a transfer line item error resource.

Name Type Description
code

string

The code for the transfer line item error.

description

string

The description of this item.

TransferLineItemPrice

Represents a transfer line item price resource.

Name Type Description
currencyCode

string

The three-letter ISO currency code.

discountedPrice

number (double)

The discounted price for the transfer line item price.

erpPrice

number (double)

The estimated retail price (ERP). The single quantity estimated retail price listed in the catalog before any price modifiers are applied, in the currency of the line item. This is the full term retail price when an availability term is specified. The amount is before taxation, except in tax inclusive countries or regions where the price includes tax. This property is currently being rolled out and is not returned for all partners.

extendedPrice

number (double)

The extended price for the transfer line item price.

listPrice

number (double)

The list price before discounts are applied.

price

number (double)

The price associated with this item.

proratedPrice

number (double)

The prorated price for the transfer line item price.